<?php

$katrin_title = _("Katrin");

function katrinJS() {
?>

    katrin = new EVENTDATA("katrin_div", "runs", "proxy(xml=katrin.php?target=runs;xslt=katrinsearch;noprops)");
    katrin.SetAutoOpen("katrin");
    
    adei.RegisterCustomProperty("run");
    
    var dates_tree = new dhtmlXTreeObject("dates_div", "100%", "100%", 0);
    dates_tree.loadXML(adei.GetServiceURL("katrin", "target=dates"));
    dates_tree.setDataMode("xml");
    dates_tree.enableTreeLines(true);
    if (adei.cfg.dhtmlx_iconset) {
	dates_tree.setImagePath(adei.cfg.dhtmlx_iconset);
    }
    dates_tree.attachEvent("onSelect", function(id) {adei.SetCustomProperties("page=1&date=" + id);});
    //var years = tree.hasChildren(0);
    //if (years > 0) {
    //    var last_year = tree.GetChildItemIdByIndex(0, years - 1);
    //    tree.openItem(last_year);
    //    var months = tree.hasChildren(last_year);
    //    if (months > 0) {
    //        var last_month = tree.GetChildItemIdByIndex(last_year, months - 1);
    //        tree.openItem(last_month);
    //        var days = tree.hasChildren(last_month);
    //        if (days > 0) {
    //            var last_day = tree.GetChildItemIdByIndex(last_month, days - 1);
    //            //tree.selectItem(last_day, true, false);
    //        }
    //    }
    //}
<?
    return "katrin";
}

function katrinPage() {
?>
<table style="height:100%">
    <tr>
        <td>
            <div style="height:100%; overflow:auto; padding:10px">
                <span style="font-weight:bold">Filter by time:</span>
                <div id="dates_div" style="width:150px" />
            </div>
        </td>
        <td>
            <div id="katrin_div" class="katrin">Please, select run first ...</div>
        </td>
    </tr>
</table>
<?}?>
